const User = `
    # Utilisateurs
    type User {
        # Prénom de l'utilisateur
        givenName: String!
        # Nom de famille
        lastName: String!
        uid: ID!
        birthdate: String!
        mail: String
        phone: String
        # Groupes dont l'utilisateur est membre.
        groups: [Group]
        # Groupes que l'utilisateur aime.
        likes: [Group]
        address: String
    }
`;

const Group = `
    # Groupes associatifs
    type Group {
        uid: ID
        name: String
        website: String
        createdAt: String
        updatedAt: String
        description: String
        school: String
        parentuid: String
    }
`;

const Event = `
    # Événements
    type Event {
        # Intitulé de l'événement
        title: String!
        # Lieu de l'événement
        location: String
        datetime: String!
        # Groupes organisateurs
        groups: [Group]
        # Personnes qui y participent
        participants: [User]
    }
`;

const Post = `
    # Publication
    type Post {
        title: String!
        uid: ID!
        # Groupe auteur de la publication
        author: Group
    }
`;

export { Group, User, Event, Post };